Package uk.ac.starlink.topcat

## Interface TopcatListener

- All Superinterfaces:
    `java.util.EventListener`
  All Known Implementing Classes:
    `Cartesian3DWindow`, `ControlWindow`, `LinesWindow`, `ParameterWindow`, `Plot3DWindow`, `PlotWindow`, `SphereWindow`, `TopcatForwarder`, `WeakTopcatListener`

      public interface TopcatListener
      extends java.util.EventListener

  Listener interface for objects that want to notice changes in a `TopcatModel`.

  Note that TopcatModel is currently a mixed bag of existing models together with its own data. I'm not sure whether it makes sense to amalgamate these at some point.

  Since:
    20 Feb 2004
  Author:
    Mark Taylor (Starlink)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `modelChanged​(TopcatEvent evt)` | Invoked when the model has changed in some way.

- - ### Method Detail

    - #### modelChanged

          void modelChanged​(TopcatEvent evt)

      Invoked when the model has changed in some way.
      Parameters:
        `evt` - event description